### Function

# EvinceDocument mkstemp

#### Declaration [src]

    int
    ev_mkstemp (
      const char* tmpl,
      char** file_name,
      GError** error
    )

#### Description [src]

Creates a temp file in the evince temp directory.

#### Parameters

`tmpl` | `const char*`
| A template string; must contain ‘XXXXXX’, but not necessarily as a suffix.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`file_name` | `char**`
| A location to store the filename of the temp file.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `int`
| A file descriptor to the newly created temp file name, or %-1 on error with `error` filled in.